Bug 437197 - [PATCH] download progress bars scroll down in windows less than 80 characters wide
[PATCH] download progress bars scroll down in windows less than 80 characters...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: python-urlgrabber (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: James Antill
Fedora Extras Quality Assurance
: Patch, Reopened
: 412711 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-12 16:16 EDT by Orion Poplawski
Modified: 2009-06-09 20:29 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-09 20:29:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A patch to allow urlgrabber to take the terminal width into account (2.21 KB, patch)
2008-04-21 13:13 EDT, Mary Ellen Foster
no flags Details | Diff
Revised patch (2.92 KB, patch)
2008-04-21 13:24 EDT, Mary Ellen Foster
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 159208 None None None Never

  None (edit)
Description Orion Poplawski 2008-03-12 16:16:14 EDT
Description of problem:

When running yum in a konsole window, I get output like:


Downloading Packages:
(1/1): libX11-debuginfo-1   0% |                         | 8.0 kB    05:00 ET
(1/1): libX11-debuginfo-1   0% |                         |  16 kB    04:57 ET
(1/1): libX11-debuginfo-1   0% |                         |  24 kB    04:42 ET
(1/1): libX11-debuginfo-1   1% |                         |  40 kB    04:15 ET

i.e., it scrolls down the page rather than overwritng the same line.  Works fine
in xterm.


Version-Release number of selected component (if applicable):
kdebase-4.0.2-2.fc9.i386
Comment 1 Rex Dieter 2008-03-12 17:47:05 EDT
I can't reproduce this.
Comment 2 Ngo Than 2008-03-13 07:07:28 EDT
i also can't reproduce it. I'm pretty sure it's a problem in your setting. 
Could you please try with new user? Or please check the konsole 
Settings->Input
Comment 3 Orion Poplawski 2008-03-13 11:30:52 EDT
I can reproduce with a new user.

Under Settings -> Edit Current Profile -> Input, Key Bindings is set to "Default
(XFree 4)".  Interestingly, all of the icons for the entries in the list are "?"s.

Also to note, I am doing "su -" before running yum.  TERM is set to xterm.

wget progress bars are fine.  Still looking for another program with progress
bars that does it...
Comment 4 Orion Poplawski 2008-03-13 14:23:15 EDT
Note that this is really the output of "urlgrabber".  I get the same with:

urlgrabber <url>

Comment 5 Steven M. Parrish 2008-04-09 13:38:26 EDT
Changed to component python-urlgrabber
Comment 6 Kevin Kofler 2008-04-09 13:44:31 EDT
That's because konsole was just short of the 80 char width urlgrabber expects, 
this is fixed in the latest kdebase.

*** This bug has been marked as a duplicate of 439638 ***
Comment 7 Orion Poplawski 2008-04-09 16:52:23 EDT
I don't think this should be a duplicate.  This is a problem in
python-urlgrabber not supporting windows less than 80 characters wide.  If the
python-urlgrabber maintainer wants to close "WONTFIX", that's fine by me - it's
not a big deal.
Comment 8 Mary Ellen Foster 2008-04-21 13:13:38 EDT
Created attachment 303171 [details]
A patch to allow urlgrabber to take the terminal width into account

Here's a patch that should make urlgrabber take the terminal width into account
...
Comment 9 Mary Ellen Foster 2008-04-21 13:24:01 EDT
Created attachment 303174 [details]
Revised patch

Oops, forgot that it prints something out at the end too.

Note that this dies horribly on terminals < 58 columns wide ...
Comment 10 Bug Zapper 2008-05-14 01:59:59 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 James Antill 2008-05-14 13:22:27 EDT
*** Bug 412711 has been marked as a duplicate of this bug. ***
Comment 12 Fedora Update System 2008-05-17 13:55:10 EDT
python-urlgrabber-3.0.0-8.fc9 has been submitted as an update for Fedora 9
Comment 13 Fedora Update System 2008-05-21 07:03:35 EDT
python-urlgrabber-3.0.0-8.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-urlgrabber'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-4241
Comment 14 Fedora Update System 2008-05-28 22:33:31 EDT
python-urlgrabber-3.0.0-8.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2008-07-10 18:02:01 EDT
python-urlgrabber-3.0.0-9.fc8 has been submitted as an update for Fedora 8
Comment 16 Fedora Update System 2008-07-17 10:19:16 EDT
python-urlgrabber-3.0.0-9.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Bug Zapper 2009-06-09 19:44:40 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Kevin Kofler 2009-06-09 20:29:19 EDT
The fix was already pushed to stable months ago according to Bodhi.

Note You need to log in before you can comment on or make changes to this bug.